package com.ydl.confide.home.widget

import android.content.Context
import android.view.View
import android.view.ViewGroup
import android.widget.LinearLayout
import android.widget.RelativeLayout
import com.ydl.confide.R
import com.ydl.confide.home.event.IConfideHomeEvent
import kotlinx.android.synthetic.main.confide_footer.view.*

/**
 * @author yuanwai
 * @描述:倾诉首页底部 更多情感恋爱专家View
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2018/8/11
 */
class ConfideHomeFooterView(var mContext: Context,var confideHomeEvent : IConfideHomeEvent) : RelativeLayout(mContext){

    init {
        initView()
    }

    /**
     * 界面初始化
     */
    private fun initView() {
        var params = ViewGroup.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT,ViewGroup.LayoutParams.WRAP_CONTENT)
        View.inflate(context, R.layout.confide_footer,this)
        tv_footer.setOnClickListener {
            confideHomeEvent.consultantMoreClick("app://listen/list")
        }
        layoutParams = params
    }
}